<project name="Cridmanager" default="jar" basedir=".">
    <description>
        Baut das cridmanager jar-file
    </description>
  <!-- set global properties for this build -->
  <property name="src" location="src"/>
  <property name="dist" location="dist"/>
  <property name="build" location="build"/>
  <property name="log4j" location="/usr/share/log4j/lib/log4j.jar"/>
  <property name="commons-net" location="/usr/share/commons-net/lib/commons-net.jar" />
  <property name="jakarta-oro" location="/usr/share/jakarta-oro-2.0/lib/jakarta-oro.jar" />
  
  <target name="init">
  	<mkdir dir="${build}" />
  </target>
  
  <target name="compile" depends="init">
  	<javac srcdir="${src}" destdir="${build}">
		<classpath location="${log4j}" />
		<classpath location="${commons-net}" />
		<classpath location="${jakarta-oro}" />
	</javac>
	<copy todir="${build}">
		<fileset dir="${src}">
			<include name="**/*.properties" />
			<include name="net/sourceforge/cridmanager/images/*" />
		</fileset>
	</copy>
  </target>
  
  <target name="jar" depends="compile">
  	<mkdir dir="${dist}" />
	<jar jarfile="${dist}/cridmanager.jar" basedir="${build}" />
  </target>
 </project>
